--- old/usr/src/uts/common/io/mac/plugins/mac_ether.c	sam. juil. 16 15:16:46 2016
+++ new/usr/src/uts/common/io/mac/plugins/mac_ether.c	sam. juil. 16 15:16:46 2016
@@ -127,152 +127,152 @@
 
 static struct modlinkage mac_ether_modlinkage = {
 	MODREV_1,
-	&mac_ether_modlmisc,
-	NULL
+	{   &mac_ether_modlmisc,
+	    NULL }
 };
 
 static mactype_ops_t mac_ether_type_ops;
 
 static mac_ndd_mapping_t  mac_ether_mapping[] = {
-	{"adv_autoneg_cap",	MAC_PROP_AUTONEG, 0, 1,
+	{"adv_autoneg_cap",	.mp_prop_id = MAC_PROP_AUTONEG, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_5000fdx_cap",	MAC_PROP_EN_5000FDX_CAP, 0, 1,
+	{"adv_5000fdx_cap",	.mp_prop_id = MAC_PROP_EN_5000FDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_2500fdx_cap",	MAC_PROP_EN_2500FDX_CAP, 0, 1,
+	{"adv_2500fdx_cap",	.mp_prop_id = MAC_PROP_EN_2500FDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_100gfdx_cap",	MAC_PROP_EN_100GFDX_CAP, 0, 1,
+	{"adv_100gfdx_cap",	.mp_prop_id = MAC_PROP_EN_100GFDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_40gfdx_cap",	MAC_PROP_EN_40GFDX_CAP, 0, 1,
+	{"adv_40gfdx_cap",	.mp_prop_id = MAC_PROP_EN_40GFDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_10gfdx_cap",	MAC_PROP_EN_10GFDX_CAP, 0, 1,
+	{"adv_10gfdx_cap",	.mp_prop_id = MAC_PROP_EN_10GFDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_1000fdx_cap",	MAC_PROP_EN_1000FDX_CAP, 0, 1,
+	{"adv_1000fdx_cap",	.mp_prop_id = MAC_PROP_EN_1000FDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_1000hdx_cap",	MAC_PROP_EN_1000HDX_CAP, 0, 1,
+	{"adv_1000hdx_cap",	.mp_prop_id = MAC_PROP_EN_1000HDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_100fdx_cap",	MAC_PROP_EN_100FDX_CAP, 0, 1,
+	{"adv_100fdx_cap",	.mp_prop_id = MAC_PROP_EN_100FDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_100hdx_cap",	MAC_PROP_EN_100HDX_CAP, 0, 1,
+	{"adv_100hdx_cap",	.mp_prop_id = MAC_PROP_EN_100HDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_10fdx_cap",	MAC_PROP_EN_10FDX_CAP, 0, 1,
+	{"adv_10fdx_cap",	.mp_prop_id = MAC_PROP_EN_10FDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_10hdx_cap",	MAC_PROP_EN_10HDX_CAP, 0, 1,
+	{"adv_10hdx_cap",	.mp_prop_id = MAC_PROP_EN_10HDX_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_RW},
 
-	{"adv_100T4_cap",	MAC_PROP_EN_100T4_CAP, 0, 1,
+	{"adv_100T4_cap",	.mp_prop_id = MAC_PROP_EN_100T4_CAP, 0, 1,
 	    sizeof (uint8_t), MAC_PROP_PERM_READ},
 
-	{"link_status",		MAC_STAT_LINK_UP, 0, 1,
+	{"link_status",		.mp_prop_id = MAC_STAT_LINK_UP, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"link_speed",		MAC_PROP_SPEED, 0, LONG_MAX,
+	{"link_speed",		.mp_prop_id = MAC_PROP_SPEED, 0, LONG_MAX,
 	    sizeof (uint64_t), MAC_PROP_PERM_READ},
 
-	{"link_duplex",		MAC_PROP_DUPLEX, 0, 2,
+	{"link_duplex",		.mp_prop_id = MAC_PROP_DUPLEX, 0, 2,
 	    sizeof (link_duplex_t), MAC_PROP_PERM_READ},
 
-	{"autoneg_cap",		ETHER_STAT_CAP_AUTONEG, 0, 1,
+	{"autoneg_cap",		.mp_prop_id = ETHER_STAT_CAP_AUTONEG, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"pause_cap",		ETHER_STAT_CAP_PAUSE, 0, 1,
+	{"pause_cap",		.mp_prop_id = ETHER_STAT_CAP_PAUSE, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"asym_pause_cap",	ETHER_STAT_CAP_ASMPAUSE, 0, 1,
+	{"asym_pause_cap",	.mp_prop_id = ETHER_STAT_CAP_ASMPAUSE, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"5000fdx_cap",		ETHER_STAT_CAP_5000FDX, 0, 1,
+	{"5000fdx_cap",		.mp_prop_id = ETHER_STAT_CAP_5000FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"2500fdx_cap",		ETHER_STAT_CAP_2500FDX, 0, 1,
+	{"2500fdx_cap",		.mp_prop_id = ETHER_STAT_CAP_2500FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"100gfdx_cap",		ETHER_STAT_CAP_100GFDX, 0, 1,
+	{"100gfdx_cap",		.mp_prop_id = ETHER_STAT_CAP_100GFDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"40gfdx_cap",		ETHER_STAT_CAP_40GFDX, 0, 1,
+	{"40gfdx_cap",		.mp_prop_id = ETHER_STAT_CAP_40GFDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"10gfdx_cap",		ETHER_STAT_CAP_10GFDX, 0, 1,
+	{"10gfdx_cap",		.mp_prop_id = ETHER_STAT_CAP_10GFDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"1000fdx_cap",		ETHER_STAT_CAP_1000FDX, 0, 1,
+	{"1000fdx_cap",		.mp_prop_id = ETHER_STAT_CAP_1000FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"1000hdx_cap",		ETHER_STAT_CAP_1000HDX, 0, 1,
+	{"1000hdx_cap",		.mp_prop_id = ETHER_STAT_CAP_1000HDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"100T4_cap",		ETHER_STAT_CAP_100T4, 0, 1,
+	{"100T4_cap",		.mp_prop_id = ETHER_STAT_CAP_100T4, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"100fdx_cap",		ETHER_STAT_CAP_100FDX, 0, 1,
+	{"100fdx_cap",		.mp_prop_id = ETHER_STAT_CAP_100FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"100hdx_cap",		ETHER_STAT_CAP_100HDX, 0, 1,
+	{"100hdx_cap",		.mp_prop_id = ETHER_STAT_CAP_100HDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"10fdx_cap",		ETHER_STAT_CAP_10FDX, 0, 1,
+	{"10fdx_cap",		.mp_prop_id = ETHER_STAT_CAP_10FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"10hdx_cap",		ETHER_STAT_CAP_10HDX, 0, 1,
+	{"10hdx_cap",		.mp_prop_id = ETHER_STAT_CAP_10HDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_autoneg_cap",	ETHER_STAT_LP_CAP_AUTONEG, 0, 1,
+	{"lp_autoneg_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_AUTONEG, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_pause_cap",	ETHER_STAT_LP_CAP_PAUSE, 0, 1,
+	{"lp_pause_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_PAUSE, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_asym_pause_cap",	ETHER_STAT_LP_CAP_ASMPAUSE, 0, 1,
+	{"lp_asym_pause_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_ASMPAUSE, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_5000fdx_cap",	ETHER_STAT_LP_CAP_5000FDX, 0, 1,
+	{"lp_5000fdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_5000FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_2500fdx_cap",	ETHER_STAT_LP_CAP_2500FDX, 0, 1,
+	{"lp_2500fdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_2500FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_100gfdx_cap",	ETHER_STAT_LP_CAP_100GFDX, 0, 1,
+	{"lp_100gfdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_100GFDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_40gfdx_cap",	ETHER_STAT_LP_CAP_40GFDX, 0, 1,
+	{"lp_40gfdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_40GFDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_10gfdx_cap",	ETHER_STAT_LP_CAP_10GFDX, 0, 1,
+	{"lp_10gfdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_10GFDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_1000hdx_cap",	ETHER_STAT_LP_CAP_1000HDX, 0, 1,
+	{"lp_1000hdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_1000HDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_1000fdx_cap",	ETHER_STAT_LP_CAP_1000FDX, 0, 1,
+	{"lp_1000fdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_1000FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_100T4_cap",	ETHER_STAT_LP_CAP_100T4, 0, 1,
+	{"lp_100T4_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_100T4, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_100fdx_cap",	ETHER_STAT_LP_CAP_100FDX, 0, 1,
+	{"lp_100fdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_100FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_100hdx_cap",	ETHER_STAT_LP_CAP_100HDX, 0, 1,
+	{"lp_100hdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_100HDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_10fdx_cap",	ETHER_STAT_LP_CAP_10FDX, 0, 1,
+	{"lp_10fdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_10FDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"lp_10hdx_cap",	ETHER_STAT_LP_CAP_10HDX, 0, 1,
+	{"lp_10hdx_cap",	.mp_prop_id = ETHER_STAT_LP_CAP_10HDX, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK},
 
-	{"link_autoneg",	ETHER_STAT_LINK_AUTONEG, 0, 1,
+	{"link_autoneg",	.mp_prop_id = ETHER_STAT_LINK_AUTONEG, 0, 1,
 	    sizeof (long), MAC_PROP_FLAGS_RK}
 
 };
